
/** Banner ************************************************************************************************************/

#cookies_law{
    min-height:40px;
    width:100%;
    border:none;
    border-radius:0;
    margin:0;
    position:fixed;
    bottom:-500px;
    padding:0;
    background-color:var(--grey-90);
    z-index:1030;
    transition: bottom 1.7s;
}

#cookies_law_content{
    margin: 0 auto;
    max-height: min-content;
}

.cookies_text{
    margin-bottom: 12px;
    font-size: 1rem;
}

.cookies_text a{
    text-decoration:underline;
    margin-bottom:17px;
}

.cookies_buttons .btn{
    margin: 12px auto;
    padding: 12px;
    font-family: var(--mrl);
    text-transform: none;
}

.cookies_buttons > .btn:last-of-type{
    margin-bottom: 0;
}

/** Modal *************************************************************************************************************/


#cookiesLawModal{
    background-color:transparent;
    margin-left:auto;
    margin-right:auto;
    max-width:unset!important;
    width:100%;
    padding: 0;
}

#cookiesLawModal > .close-modal{
    display: none;
}

#cookiesLawModal .modal-content{
    max-width: 720px;
    margin-left: auto;
    margin-right: auto;
    overflow-x: hidden;
}

#cookiesLawModal .modal-header{
    border-bottom:none;
    padding-bottom: 0;
}

#cookiesLawModal .modal-body{
    padding-left: 0;
    padding-right: 0;
}

#cookiesLawModal .banner_subtitle{
    font-family: var(--mrm);
}

.cookies_actions_container{
    flex-wrap:wrap;
}

.cookies_actions_container > a.hover{
    flex-basis:100%;
    margin: 0 0 10px 0;
}

.cookies_actions_container > a:hover{
    background-color:var(--black-text);
    color:var(--white-text)!important;
}

.cookie_option{
    display:flex;
    align-items:center;
    justify-content:space-between;
    margin-bottom:7px;
}

.cookie_option .option_label{
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Old versions of Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome, Edge, Opera and Firefox */
}

.cookie_option .option_label,.cookie_option .custom-switch,.custom-switch .custom-control-label::before,.custom-switch .custom-control-label::after{
    cursor:pointer;
}

.cookies_content_container{
    transition: transform .2s ease-in-out;
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
}

.cookies_content_container > *{
    padding: calc(2vw + 10px) 10px calc(1vw + 15px) 10px;
    flex: 0 0 100%;
    width: 100%;
    max-width: 100%;
}


/** switch **/

.custom-switch .custom-control-label::before{
    width: 2.4rem;
}

.custom-switch .custom-control-input:checked~.custom-control-label::after{
    left: calc(-2.4rem + 13px);
}


/* Media Queries ******************************************************************************************************/


@media screen and (orientation:landscape){
}

@media screen and (orientation:portrait){
}

/* Very small Devices */
@media (min-width: 300px) {
}

/* Small Devices */
@media (min-width: 576px) {

    .cookies_content_container > *{
        padding:calc(3vw + 10px) calc(4vw + 15px);
    }

    .cookie_option > .option_label{
        font-size: 1rem;
    }
}

@media (min-width:650px){

}

/* Tablet and up */
@media (min-width: 768px){

    /* Banner */

    #cookies_law_content p, .cookies_buttons > .btn{
        font-size:14pt;
    }

    .cookies_text{
        margin-bottom: 30px;
    }

    .cookies_buttons{
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .cookies_buttons > .btn{
        margin: 12px 10px!important;
        width: 50%;
    }

    .cookies_actions_container{
        flex-wrap: nowrap;
    }

}


/* Low laptop screen / iPad Pro*/
@media (min-width: 992px){

    #cookiesLawModal .modal-content{
        max-width: 768px;
    }

    .cookies_buttons > .btn{
        width: 42%;
    }

}

/* Low laptop screen only landscape*/
@media (min-width: 992px) and (orientation: landscape) {
}

/* Medium laptop screen */
@media (min-width: 1200px) {

    .cookies_content_container > *{
        padding: 3rem;
    }
}

/* Very High laptop screen */
@media (min-width: 1400px){
}

/* Very High laptop screen */
@media (min-width: 1600px) {

    .cookies_content_container > *{
        padding: 3rem 2rem;
    }


}
